/*
The Questions table holds the text, name, and helpfile of the questions asked in the application.
*/

create table question( id INTEGER PRIMARY KEY, text CHAR(90), name CHAR(25), helpfile CHAR(25));

insert into question VALUES ('1', 'What is the building''s original construction year date?', 'yearConstructed', 'buildYear.hlp');
insert into question VALUES ('2', 'What is the performance objective of rehabilitation?', 'performanceObjective', 'performanceObjective.hlp');
insert into question VALUES ('3', 'What seismic zone is the building in?', 'seismicZone', 'seismic.hlp');
insert into question VALUES ('4', 'What is the building''s model type?', 'buildingModel', 'buildingModel.hlp');
insert into question VALUES ('5', 'What is the building''s area, in sqft?', 'area', 'area.hlp');
insert into question VALUES ('6', 'How much additional nonseismic work will be performed?', 'scopeAdd', 'addWork.hlp');
insert into question VALUES ('7', 'What is the site''s NEHRP/UBC soil type?', 'soilType', 'soilType.hlp');
insert into question VALUES ('8', 'What will the condition of occupancy be during rehabilitation?', 'occupancy', 'occupancyCondition.hlp');
insert into question VALUES ('9', 'How many stories below street level (include new stories added)?', 'belowStreet', 'stories.hlp');
insert into question VALUES ('10', 'How many stories above street level (include new stories added)?', 'aboveStreet', 'stories.hlp');
insert into question VALUES ('11', 'What is the building''s occupancy classification?', 'occupancyClass', 'occupancyClass.hlp');
insert into question VALUES ('12', 'Are non-seismic system improvements (architectural or M.E.P) planned?', 'sysImp', 'sysImp.hlp');
insert into question VALUES ('13', 'What type of diaphragm does the building use?', 'diaphragm', 'diaphragm.hlp');
insert into question VALUES ('14', 'How high is each story?', 'storyHeight', 'storyHeight.hlp');
insert into question VALUES ('15', 'What is the overall floor plan shape?', 'floorPlan', 'floorPlan.hlp');
insert into question VALUES ('16', 'What rehabilitation methods are planned?', 'rehabMethod', 'rehabMethod.hlp');
insert into question VALUES ('17', 'Is the building a historic structure?', 'historic', 'historic.hlp');
insert into question VALUES ('18', 'What type of foundation does the building have?', 'foundation', 'foundation.hlp');
insert into question VALUES ('19', 'What kind of cladding does the building have?', 'cladding', 'cladding.hlp');
insert into question VALUES ('20', 'What kind of bearing walls does the building have?', 'bearingWall', 'bearingWall.hlp');
insert into question VALUES ('21', 'What kind of columns does the building have?', 'column', 'column.hlp');
