/**
 * Title:        OGE Travel
 * Description:
 * Copyright:    Copyright (c) 2003
 * Company:      Federal Emergency Management Agency
 * 
 * @version 1.0
 * 
 * $Id: AnswerForm.java 9735 2007-07-12 16:10:30Z asharkova $
 * 
 */


package gov.fema.web.srce.struts.forms;

import gov.fema.web.srce.SRCEConstants;

import javax.servlet.http.HttpServletRequest;

import org.apache.struts.action.ActionErrors;
import org.apache.struts.action.ActionMapping;


public class AnswerForm extends AbstractFormBase {

	private String nodeID;
    private String answerText;
    
	/**
	 * Default constructor.
	 */
	public AnswerForm() {
		// Reset the values to the defaults
		this.reset(null, null);
	}

    /**
     * @see org.apache.struts.action.ActionForm#reset(ActionMapping, HttpServletRequest)
     */
    public void reset(ActionMapping mapping, HttpServletRequest request) {
		nodeID = "" + SRCEConstants.BAD_ID;
		answerText = "" + SRCEConstants.BAD_ID;
    }

    /**
     * @see org.apache.struts.action.ActionForm#validate(ActionMapping, HttpServletRequest)
     */
    public ActionErrors validate(ActionMapping mapping, HttpServletRequest request) {
	    ActionErrors ae = new ActionErrors();

	    return ae;
    }

	/**
	 * Get node id.
	 * 
	 * @return String
	 */
	public String getNodeID() {
		return nodeID;
	}

	/**
	 * Set node id.
	 * 
	 * @param nodeID
	 */
	public void setNodeID(String nodeID) {
		this.nodeID = nodeID;
	}

	/**
	 * Get answerText.
	 * 
	 * @return String
	 */
	public String getAnswerText() {
		return answerText;
	}

	/**
	 * Set answerText.
	 * 
	 * @param answerText
	 */
	public void setAnswerText(String answerText) {
		this.answerText = answerText;
	}

}
