package gov.fema.web.srce.util;

import java.sql.Connection;
import java.sql.ResultSet;
import java.sql.Statement;

/**
 * Database utility methods.
 *
 * @author <a href="mailto:rob.christie@eyestreet.com">Rob Christie</a>
 * @version $Revision: 7787 $ $Date: 2006-11-28 00:53:40 -0500 (Tue, 28 Nov 2006) $
 */
public class DbUtil
{
    
    protected DbUtil() {
    }
    

    public static void cleanup(Connection connection, Statement stmt, ResultSet rs)
    {
        try { 
            if (rs != null) {
                rs.close();         
            } 
        }
        catch (Exception e) { }
        try {
            if (stmt != null) {
                stmt.close();
            }
        }    
        catch (Exception e) { }
        try {
            if (connection != null) {
                connection.close();
            }
        } 
        catch (Exception e) { }
    }
       

}
