<%
/////////////////////////////////////////////////////////////////////
// FEMA Seismic Rehabilitation Cost Estimator
//
// file:	expert.jsp
// author: 	Neil Chilson
// created: 7-11-2003
// revised: 
// notes:  Creates the form needed to get user input about their structure
//         This form differs depending on which decision tree is being used.
/////////////////////////////////////////////////////////////////////
%>
<%@ include file="/WEB-INF/taglib.jsp" %>
<%@ page errorPage="exception.jsp" %>
<%@ page import="java.util.Vector" %>
<%@ page import="java.net.URLEncoder" %>
<%@ page import="gov.fema.util.*" %>
<%@ page import="gov.fema.web.srce.*, gov.fema.web.srce.objects.*" %>

<%@ include file="header.jsp" %>

<script language="JavaScript">
<!--

function openWindow(url)
{
   add_window = window.open(url,"plain","width=400, resizable=yes, scrollbars=yes");
}

//-->
</script>

<jsp:useBean id="decisionTree" type="gov.fema.web.srce.objects.DecisionTree" scope="session" />

<h1>Seismic Rehabilitation Cost Estimator</h1>
<p class="subtitle"><bean:write name="decisionTree" property="treeMethodDescription"/> estimation method, <bean:write name="decisionTree" property="treeMode"/> mode</p>

		<html:errors/>

		<p>Please answer as many of the following questions as possible. Incomplete information may result in a less accurate estimate.</p>

<html:form action="expert" method="post">
<div id="srce-submission">
<!--h3><span class="header">State Name</span></h3-->
<div class="row">
            <bean:define id="questions" name="questions" scope="session" type="java.util.Vector" toScope="page"/>
            <bean:define id="answers" name="answers" scope="session" type="java.util.Map" toScope="page"/>
            <%
			for(int i= 0; i < questions.size(); i++ )
			{
				Question question = (Question)questions.elementAt(i);
                %> 
<!--a name='<%=question.getName()%>' id='<%=question.getName()%>'>&nbsp;</a-->
   <p>   
      <span class="label"><%=question.getText()%>&nbsp; <a href="help.jsp#<%=question.getName()%>" style="font-size:x-small; color:#ff0000; background-color:#FFFFCC; border:1px solid #666; padding:1px;" onclick="openWindow('help.jsp#<%=question.getName()%>');return false;" alt="Click here for more information">?</a></span>
      <span class="data">
                <html:select property='<%=question.getName()%>'>
                    <html:option value="unknown"/>
                <%
				   	// get the answers for the current question.
                   	Vector someAnswers = (Vector)answers.get(question.getName());
				if (someAnswers != null) {
	                   	for(int j = 0; j < someAnswers.size(); j++) {
                    			Answer answer = (Answer)someAnswers.get(j); 
                %>
                    			<html:option value='<%=answer.getText()%>'/>
                <%
                   		}
				}
                %>
                </html:select>
	</span>
   </p>
				
			<%		
			}
		    %>

			
 <div class="spacer"></div>
  </div>
<html:submit property="action" value="Submit"/>
</div>
</html:form>

<%@ include file="footer.jsp" %>