<%
/////////////////////////////////////////////////////////////////////
// FEMA Seismic Rehabilitation Cost Estimator
//
// file:	index.jsp
// author: 	Neil Chilson
// created: 7-10-2003
// revised: 
// notes:
/////////////////////////////////////////////////////////////////////
%>
<%@ page errorPage="exception.jsp" %>
<%@ page import="java.util.Vector" %>
<%@ page import="java.net.URLEncoder" %>
<%@ page import="gov.fema.util.*" %>
<%@ include file="/WEB-INF/taglib.jsp" %>
<%@ include file="header.jsp" %>

	<h1>Seismic Rehabilitation Cost Estimator</h1>
	<p>There are two modes in which the user can enter information.  The <strong>Form Entry</strong> mode allows the entry of all available data into a questionnaire-like form and then calculates the best estimate based on the entered data. The <strong>Interactive</strong> mode asks a series of questions of the user until the best estimate available is reached. <em>Both modes of data entry will have identical results, given identical input</em>. 
	</p>
	<p>FEMA recommends the simpler <strong>Form Entry</strong> mode to most users. Users who would like to gain a deeper understanding of the CART analysis results may find the <strong>Interactive</strong> mode informative.
	</p>
	<p>
		<strong>Choose an data entry mode to proceed:</strong><br/>
		<table border=0 cellspacing=4 valign=top>
		<tr>
			<td width="25%" align="center"><a href="initializeMode.do?action=InitializeMode&expertMode=true"><img src="img/formButton.gif"><br>Form Entry Mode</a><br/>(Recommended)</td>
			<td width="25%" align="center" valign="center"><strong> --- OR ---</strong></td>
			<td width="25%" align="center"><a href="initializeMode.do?action=InitializeMode&expertMode=false"><img src="img/interactiveButton.gif"><br>Interactive Mode</a></td>
		</tr>
		</table>
	</p>
	
<%@ include file="footer.jsp" %>