/*
regionAdjustmentFactors - holds the multiplicative factors 
used to adjust cost estimates in different states.
*/

create table regionAdjustmentFactors 
(id		INTEGER PRIMARY KEY,
regionName	CHAR(30),
regionType	CHAR(10),
factor		FLOAT );

insert into regionAdjustmentFactors(id, regionName, regionType, factor) VALUES ('1','Alabama','state','0.85'); 
insert into regionAdjustmentFactors(id, regionName, regionType, factor) VALUES ('2','Alaska','state','1.35'); 
insert into regionAdjustmentFactors(id, regionName, regionType, factor) VALUES ('3','Arizona','state','0.92'); 
insert into regionAdjustmentFactors(id, regionName, regionType, factor) VALUES ('4','Arkansas','state','0.81'); 
insert into regionAdjustmentFactors(id, regionName, regionType, factor) VALUES ('5','California','state','1.19'); 
insert into regionAdjustmentFactors(id, regionName, regionType, factor) VALUES ('6','Colorado','state','0.96'); 
insert into regionAdjustmentFactors(id, regionName, regionType, factor) VALUES ('7','Connecticut','state','1.13'); 
insert into regionAdjustmentFactors(id, regionName, regionType, factor) VALUES ('8','Delaware','state','1.09'); 
insert into regionAdjustmentFactors(id, regionName, regionType, factor) VALUES ('9','District of Columbia','state','1.02'); 
insert into regionAdjustmentFactors(id, regionName, regionType, factor) VALUES ('10','Florida','state','0.88'); 
insert into regionAdjustmentFactors(id, regionName, regionType, factor) VALUES ('11','Georgia','state','0.84'); 
insert into regionAdjustmentFactors(id, regionName, regionType, factor) VALUES ('12','Hawaii','state','1.32'); 
insert into regionAdjustmentFactors(id, regionName, regionType, factor) VALUES ('13','Idaho','state','0.96'); 
insert into regionAdjustmentFactors(id, regionName, regionType, factor) VALUES ('14','Illinois','state','1.09'); 
insert into regionAdjustmentFactors(id, regionName, regionType, factor) VALUES ('15','Indiana','state','1.00'); 
insert into regionAdjustmentFactors(id, regionName, regionType, factor) VALUES ('16','Iowa','state','0.91'); 
insert into regionAdjustmentFactors(id, regionName, regionType, factor) VALUES ('17','Kansas','state','0.88'); 
insert into regionAdjustmentFactors(id, regionName, regionType, factor) VALUES ('18','Kentucky','state','0.92'); 
insert into regionAdjustmentFactors(id, regionName, regionType, factor) VALUES ('19','Louisiana','state','0.88'); 
insert into regionAdjustmentFactors(id, regionName, regionType, factor) VALUES ('20','Maine','state','0.96'); 
insert into regionAdjustmentFactors(id, regionName, regionType, factor) VALUES ('21','Maryland','state','0.92'); 
insert into regionAdjustmentFactors(id, regionName, regionType, factor) VALUES ('22','Massachusetts','state','1.14'); 
insert into regionAdjustmentFactors(id, regionName, regionType, factor) VALUES ('23','Michigan','state','1.03'); 
insert into regionAdjustmentFactors(id, regionName, regionType, factor) VALUES ('24','Minnesota','state','1.07'); 
insert into regionAdjustmentFactors(id, regionName, regionType, factor) VALUES ('25','Mississippi','state','0.78'); 
insert into regionAdjustmentFactors(id, regionName, regionType, factor) VALUES ('26','Missouri','state','1.00'); 
insert into regionAdjustmentFactors(id, regionName, regionType, factor) VALUES ('27','Montana','state','0.96'); 
insert into regionAdjustmentFactors(id, regionName, regionType, factor) VALUES ('28','Nebraska','state','0.85'); 
insert into regionAdjustmentFactors(id, regionName, regionType, factor) VALUES ('29','Nevada','state','1.06'); 
insert into regionAdjustmentFactors(id, regionName, regionType, factor) VALUES ('30','New Hampshire','state','0.93'); 
insert into regionAdjustmentFactors(id, regionName, regionType, factor) VALUES ('31','New Jersey','state','1.17'); 
insert into regionAdjustmentFactors(id, regionName, regionType, factor) VALUES ('32','New Mexico','state','0.96'); 
insert into regionAdjustmentFactors(id, regionName, regionType, factor) VALUES ('33','New York','state','1.21'); 
insert into regionAdjustmentFactors(id, regionName, regionType, factor) VALUES ('34','North Carolina','state','0.78'); 
insert into regionAdjustmentFactors(id, regionName, regionType, factor) VALUES ('35','North Dakota','state','0.89'); 
insert into regionAdjustmentFactors(id, regionName, regionType, factor) VALUES ('36','Ohio','state','1.03'); 
insert into regionAdjustmentFactors(id, regionName, regionType, factor) VALUES ('37','Oklahoma','state','0.86'); 
insert into regionAdjustmentFactors(id, regionName, regionType, factor) VALUES ('38','Oregon','state','1.11'); 
insert into regionAdjustmentFactors(id, regionName, regionType, factor) VALUES ('39','Pennsylvania','state','1.06'); 
insert into regionAdjustmentFactors(id, regionName, regionType, factor) VALUES ('40','Rhode Island','state','1.12'); 
insert into regionAdjustmentFactors(id, regionName, regionType, factor) VALUES ('41','South Carolina','state','0.79'); 
insert into regionAdjustmentFactors(id, regionName, regionType, factor) VALUES ('42','South Dakota','state','0.85'); 
insert into regionAdjustmentFactors(id, regionName, regionType, factor) VALUES ('43','Tennessee','state','0.83'); 
insert into regionAdjustmentFactors(id, regionName, regionType, factor) VALUES ('44','Texas','state','0.84'); 
insert into regionAdjustmentFactors(id, regionName, regionType, factor) VALUES ('45','Utah','state','0.94'); 
insert into regionAdjustmentFactors(id, regionName, regionType, factor) VALUES ('46','Vermont','state','0.83'); 
insert into regionAdjustmentFactors(id, regionName, regionType, factor) VALUES ('47','Virginia','state','0.86'); 
insert into regionAdjustmentFactors(id, regionName, regionType, factor) VALUES ('48','Washington','state','1.09'); 
insert into regionAdjustmentFactors(id, regionName, regionType, factor) VALUES ('49','West Virginia','state','0.98'); 
insert into regionAdjustmentFactors(id, regionName, regionType, factor) VALUES ('50','Wisconson','state','1.04'); 
insert into regionAdjustmentFactors(id, regionName, regionType, factor) VALUES ('51','Wyoming','state','0.84'); 
insert into regionAdjustmentFactors(id, regionName, regionType, factor) VALUES ('52','Guam','state','1.43'); 
insert into regionAdjustmentFactors(id, regionName, regionType, factor) VALUES ('53','Puerto Rico','state','0.93'); 
insert into regionAdjustmentFactors(id, regionName, regionType, factor) VALUES ('54','Boston','city','1.24'); 
insert into regionAdjustmentFactors(id, regionName, regionType, factor) VALUES ('55','Charleston','city','0.81'); 
insert into regionAdjustmentFactors(id, regionName, regionType, factor) VALUES ('56','Denver','city','1.03'); 
insert into regionAdjustmentFactors(id, regionName, regionType, factor) VALUES ('57','Los Angeles','city','1.17'); 
insert into regionAdjustmentFactors(id, regionName, regionType, factor) VALUES ('58','Memphis','city','0.91'); 
insert into regionAdjustmentFactors(id, regionName, regionType, factor) VALUES ('59','New York City','city','1.45'); 
insert into regionAdjustmentFactors(id, regionName, regionType, factor) VALUES ('60','Portland','city','1.14'); 
insert into regionAdjustmentFactors(id, regionName, regionType, factor) VALUES ('61','Salt Lake City','city','0.96'); 
insert into regionAdjustmentFactors(id, regionName, regionType, factor) VALUES ('62','San Diego','city','1.14'); 
insert into regionAdjustmentFactors(id, regionName, regionType, factor) VALUES ('63','San Francisco','city','1.34'); 
insert into regionAdjustmentFactors(id, regionName, regionType, factor) VALUES ('64','Seattle','city','1.13'); 
insert into regionAdjustmentFactors(id, regionName, regionType, factor) VALUES ('65','St. Louis','city','1.11'); 	