<%
/////////////////////////////////////////////////////////////////////
// FEMA Seismic Rehabilitation Cost Estimator
//
// file:	help.jsp
// author: 	Neil Chilson
// created: 6-1-2004
// description: Displays help for all this estimation method's questions
// revised: 
// notes: used from expert.jsp
/////////////////////////////////////////////////////////////////////
%>
<%@ include file="/WEB-INF/taglib.jsp" %>
<%@ page import="gov.fema.util.*" %>
<%@ page import="gov.fema.web.srce.*, gov.fema.web.srce.objects.*" %>
<%@ page import="java.util.Vector" %>
<html>
<head>
<link rel="stylesheet" href="fema_styles.css" type="text/css">
<link rel="stylesheet" type="text/css" href="/css/text-styles.css" media="screen">
<link rel="stylesheet" href="help.css" type="text/css">
<style type="text/css">
<!--
ul {color:#000;}
ul li {color:#000;}
-->
</style>
</head>

<!-- 
<jsp:useBean id="decisionTree" type="gov.fema.web.srce.objects.ExpertDecisionTree" scope="session" />
-->
<jsp:useBean id="SRCEConstants" class="gov.fema.web.srce.SRCEConstants" scope="page" />
<bean:define id="LargeExpertDecisionTree" name="SRCEConstants" property="largeExpertDecisionTree" scope="page" type="gov.fema.web.srce.objects.ExpertDecisionTree" />

<body>
<div id="help">
<div id="header">
	<h1>Seismic Rehabilitation Cost Estimator</h1> 
	<p class="subtitle">Help</p>
</div>
<bean:define id="questions" name="LargeExpertDecisionTree" property="questions" scope="page" type="java.util.Vector" toScope="page"/>
<logic:iterate id="question" name="questions" type="gov.fema.web.srce.objects.Question">
	<div id="info-section">
	<div class="question"><a name='<%=question.getName()%>'><bean:write name="question" property="text"/></a><a href="Javascript:window.close()" class="small">(Close this window)</a></div>
	<div class="info">
	<p>
		<jsp:include page='<%= SRCEConstants.helpDir + "/" + question.getHelpFilename()%>' flush="true" />
	</p>
	</div>
	</div>
</logic:iterate>
</div>
<!-- all these breaks are so the window will always open with the correct link at the top -->
<br>
<br>
<br>
<br>
<br>
<br>
<br>
<br>
<br>
<br>
<br>
<br>
<br>
<br>
<br>
<br>
<br>
<br>
<br>
<br>
<br>
<br>
<br>
<br>
<br>
<br>
<br>
<br>
<br>
<br>
<br>
<br>
<br>
<br>
<br>
</body>
</html>