<%
/////////////////////////////////////////////////////////////////////
// FEMA Seismic Rehabilitation Cost Estimator
//
// file:	location.jsp
// author: 	Neil Chilson
// created: 7-11-2003
// description: Gets the geographic location of the building whose
//              rehabilitation is being estimated.
// revised: 
// notes:       Without javascript enabled, the disabling and enabling 
//              of the listboxes is not used and more user errors
//              should be expected.
/////////////////////////////////////////////////////////////////////
%>
<%@ include file="/WEB-INF/taglib.jsp" %>
<%@ page errorPage="exception.jsp" %>
<%@ page import="java.util.Vector" %>
<%@ page import="java.net.URLEncoder" %>
<%@ page import="gov.fema.util.*" %>
<%@ page import="gov.fema.web.srce.*" %>

<%@ include file="header.jsp" %>
<jsp:useBean id="SRCEConstants" class="gov.fema.web.srce.SRCEConstants" scope="page" />

<script  language="javascript">
 <!--
	function enableStates()
	{
		window.document.locationForm.elements[1].disabled = false;
		window.document.locationForm.elements[3].selectedIndex = 0 ;
		window.document.locationForm.elements[3].disabled = true;
	}

	function enableCities()
	{
		window.document.locationForm.elements[1].selectedIndex = 0 ;
		window.document.locationForm.elements[1].disabled = true;
		window.document.locationForm.elements[3].disabled = false;
	}

// -->
</script>

<jsp:useBean id="decisionTree" class="gov.fema.web.srce.objects.DecisionTree" scope="session" />

<h1>Seismic Rehabilitation Cost Estimator</h1>
<p class="subtitle"><bean:write name="decisionTree" property="treeMethodDescription"/> estimation method, <bean:write name="decisionTree" property="treeMode"/> mode</p>

		<html:errors/>
		<html:form action="location" method="post">
<div id="srce-submission">
<h3>Which state OR city is the building located in?</h3>
<div class="row">
   <p>
      <span class="label" style="width: 186px;"><html:radio property="locationType" value="state" onclick="enableStates()"></html:radio></span> 
      <span class="data" style="width: 360px;"><strong>State</strong>
      <br>

      <bean:define id="stateNames" name="SRCEConstants" property="stateNames" scope="page"/>
				<html:select property="state" name="stateList" value="Choose one:">
					<html:option value="Choose one:"/>
					<html:options name="stateNames"/>
				</html:select>
      </span>
    </p>
    <p>
       <span class="label" style="width: 186px;"><html:radio property="locationType" value="city" onclick="enableCities()"></html:radio></span>
       <span class="data" style="width: 360px;"><strong>City</strong><br>

       <bean:define id="cityNames" name="SRCEConstants" property="cityNames" scope="page" toScope="page"/>
				<html:select property="city" name="cityList" value="Choose one:">
					<html:option value="Choose one:"/>
					<html:options name="cityNames"/>
				</html:select>
				<SCRIPT LANGUAGE="JavaScript">
					<!--
					// disable the city select
						enableStates();
					// -->
				</SCRIPT>
      </span>
    </p>
 <div class="spacer"></div>
  </div>
<html:submit property="action" value="Continue"/>
</div>
		</html:form>

		<hr>
		<strong>Additional Information:</strong>
		<jsp:include page='<%= SRCEConstants.helpDir + "/location.hlp" %>' flush="true" />


<%@ include file="footer.jsp" %>